<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: HttpServerTask Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classHttpServerTask-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">HttpServerTask Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Be an HTTP server task. Here we define a <a class="el" href="classTask.html" title="Encapsulate a runnable task.">Task</a> that will be run when the HTTP server starts. It is this task that executes the majority of the passive work of the server. It listens for incoming connections and processes them when they arrive.  
 <a href="classHttpServerTask.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for HttpServerTask:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classHttpServerTask.png" usemap="#HttpServerTask_map" alt=""/>
  <map id="HttpServerTask_map" name="HttpServerTask_map">
<area href="classTask.html" title="Encapsulate a runnable task." alt="Task" shape="rect" coords="0,0,99,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af0e407e558eab01c2fd459a98cd20579"><td class="memItemLeft" align="right" valign="top"><a id="af0e407e558eab01c2fd459a98cd20579"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>HttpServerTask</b> (std::string name)</td></tr>
<tr class="separator:af0e407e558eab01c2fd459a98cd20579"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classTask"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classTask')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classTask.html">Task</a></td></tr>
<tr class="memitem:a3db47e6fe693170a64a636ee93a1f645 inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a3db47e6fe693170a64a636ee93a1f645">Task</a> (std::string taskName=&quot;Task&quot;, uint16_t stackSize=10000, uint8_t priority=5)</td></tr>
<tr class="memdesc:a3db47e6fe693170a64a636ee93a1f645 inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an instance of the task class.  <a href="classTask.html#a3db47e6fe693170a64a636ee93a1f645">More...</a><br /></td></tr>
<tr class="separator:a3db47e6fe693170a64a636ee93a1f645 inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe0f5594c56b8cc7ac96c2198d5d81b4 inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#afe0f5594c56b8cc7ac96c2198d5d81b4">setStackSize</a> (uint16_t stackSize)</td></tr>
<tr class="memdesc:afe0f5594c56b8cc7ac96c2198d5d81b4 inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the stack size of the task.  <a href="classTask.html#afe0f5594c56b8cc7ac96c2198d5d81b4">More...</a><br /></td></tr>
<tr class="separator:afe0f5594c56b8cc7ac96c2198d5d81b4 inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa220be4e5007ede0bd3e5349d36eae9 inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#aaa220be4e5007ede0bd3e5349d36eae9">setPriority</a> (uint8_t priority)</td></tr>
<tr class="memdesc:aaa220be4e5007ede0bd3e5349d36eae9 inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the priority of the task.  <a href="classTask.html#aaa220be4e5007ede0bd3e5349d36eae9">More...</a><br /></td></tr>
<tr class="separator:aaa220be4e5007ede0bd3e5349d36eae9 inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23abd79183a5c2bb1e6d3ff37b1cbf23 inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a23abd79183a5c2bb1e6d3ff37b1cbf23">setName</a> (std::string name)</td></tr>
<tr class="memdesc:a23abd79183a5c2bb1e6d3ff37b1cbf23 inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the task.  <a href="classTask.html#a23abd79183a5c2bb1e6d3ff37b1cbf23">More...</a><br /></td></tr>
<tr class="separator:a23abd79183a5c2bb1e6d3ff37b1cbf23 inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ec932fb35fd295c78eafcf06af1d91d inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a5ec932fb35fd295c78eafcf06af1d91d">setCore</a> (BaseType_t coreId)</td></tr>
<tr class="memdesc:a5ec932fb35fd295c78eafcf06af1d91d inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the core number the task has to be executed on. If the core number is not set, tskNO_AFFINITY will be used.  <a href="classTask.html#a5ec932fb35fd295c78eafcf06af1d91d">More...</a><br /></td></tr>
<tr class="separator:a5ec932fb35fd295c78eafcf06af1d91d inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f13d13787e21dc929b61d112b863433 inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a6f13d13787e21dc929b61d112b863433">start</a> (void *taskData=nullptr)</td></tr>
<tr class="memdesc:a6f13d13787e21dc929b61d112b863433 inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start an instance of the task.  <a href="classTask.html#a6f13d13787e21dc929b61d112b863433">More...</a><br /></td></tr>
<tr class="separator:a6f13d13787e21dc929b61d112b863433 inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba5eb3d6c2a034aa0e319383fbec68c4 inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#aba5eb3d6c2a034aa0e319383fbec68c4">stop</a> ()</td></tr>
<tr class="memdesc:aba5eb3d6c2a034aa0e319383fbec68c4 inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the task.  <a href="classTask.html#aba5eb3d6c2a034aa0e319383fbec68c4">More...</a><br /></td></tr>
<tr class="separator:aba5eb3d6c2a034aa0e319383fbec68c4 inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classTask"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classTask')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classTask.html">Task</a></td></tr>
<tr class="memitem:aa4b603c866f4b8e0f0c6b524bb0e287e inherit pub_static_methods_classTask"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#aa4b603c866f4b8e0f0c6b524bb0e287e">delay</a> (int ms)</td></tr>
<tr class="memdesc:aa4b603c866f4b8e0f0c6b524bb0e287e inherit pub_static_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the task for the specified milliseconds.  <a href="classTask.html#aa4b603c866f4b8e0f0c6b524bb0e287e">More...</a><br /></td></tr>
<tr class="separator:aa4b603c866f4b8e0f0c6b524bb0e287e inherit pub_static_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Be an HTTP server task. Here we define a <a class="el" href="classTask.html" title="Encapsulate a runnable task.">Task</a> that will be run when the HTTP server starts. It is this task that executes the majority of the passive work of the server. It listens for incoming connections and processes them when they arrive. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>HttpServer.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
